local potiontime = 90
local triggerspeed = 0
local addvelo = 0
local mult = 0.5

local assets=
{
    Asset("ANIM", "anim/greenpotion.zip"),
	--Asset("ANIM", "anim/swap_greenpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/greenpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/greenpotion.tex"),
}

 PrefabFiles = {
    "greenpotion",
}

local function highspeed(inst)

triggerspeed = triggerspeed + 1
	
	--print "oneaten"
	--print (inst.components.locomotor.runspeed)
	
	if triggerspeed <= 1 then
		addvelo = inst.components.locomotor.runspeed * mult
		inst.components.locomotor.runspeed = inst.components.locomotor.runspeed + addvelo
	end
	
	--print "addvelo"
	--print (addvelo)
	--print "speedincreased"
	--print (inst.components.locomotor.runspeed)
end

local function normspeed(inst, eater)
	
	if triggerspeed <= 1 then
		inst.components.locomotor.runspeed = inst.components.locomotor.runspeed - addvelo
	    triggerspeed = triggerspeed - 1
	else
		triggerspeed = triggerspeed - 1
	end
	--print "normspeed"
	--print (inst.components.locomotor.runspeed)
	
	inst.components.talker:Say("The potion worn off...", 4)
end

local function oneaten(inst, eater)

	--print "addvelo"
	--print (addvelo)
	--print "speedincreased"
	--print (inst.components.locomotor.runspeed)
	
	highspeed(eater)
	eater:DoTaskInTime(potiontime, normspeed)
	eater.components.talker:Say("Speeeeeeed!", 4)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("greenpotion")
	
    inst.AnimState:SetBank("greenpotion")
    inst.AnimState:SetBuild("greenpotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "greenpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/greenpotion.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 0
	inst.components.edible.hungervalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.edible:SetOnEatenFn(oneaten)

	inst:AddComponent("tradable")
 
    return inst
end
return Prefab("common/inventory/greenpotion", fn, assets)