local assets=
{
    Asset("ANIM", "anim/healthpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/healthpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/healthpotion.tex"),
}

 PrefabFiles = {
    "healthpotion",
}

local function oneaten(inst, eater)
	eater.components.talker:Say("It could wake up some dead.", 4)
end

local function fn()
   
    local inst = CreateEntity()

 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("healthpotion")
	
    inst.AnimState:SetBank("healthpotion")
    inst.AnimState:SetBuild("healthpotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "healthpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/healthpotion.xml"

	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 60
	inst.components.edible.hungervalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.edible:SetOnEatenFn(oneaten)
	
	inst:AddComponent("tradable")
 
    return inst
end
return Prefab("common/inventory/healthpotion", fn, assets)