local assets=
{
    Asset("ANIM", "anim/purplepotion.zip"),
	--Asset("ANIM", "anim/swap_purplepotion.zip"),
    Asset("ATLAS", "images/inventoryimages/purplepotion.xml"),
    Asset("IMAGE", "images/inventoryimages/purplepotion.tex"),
}

 PrefabFiles = {
    "purplepotion",
}

local function oneaten(inst, owner)
	owner.components.talker:Say("Better than Advil!", 4)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("purplepotion")
	
    inst.AnimState:SetBank("purplepotion")
    inst.AnimState:SetBuild("purplepotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "purplepotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/purplepotion.xml"

	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 0
	inst.components.edible.hungervalue = 0
	inst.components.edible.sanityvalue = (TUNING.SANITY_MEDLARGE * 2)
	inst.components.edible:SetOnEatenFn(oneaten)
	
	inst:AddComponent("tradable")
     
    return inst
end
return Prefab("common/inventory/purplepotion", fn, assets)