local assets=
{
    Asset("ANIM", "anim/yellowpotion.zip"),
	--Asset("ANIM", "anim/swap_yellowpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/yellowpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/yellowpotion.tex"),
}

 PrefabFiles = {
    "yellowpotion",
}

local function oneaten(inst, owner)
	owner.components.talker:Say("Cooling down...", 4)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("yellowpotion")
	
    inst.AnimState:SetBank("yellowpotion")
    inst.AnimState:SetBuild("yellowpotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "yellowpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/yellowpotion.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 0
	inst.components.edible.hungervalue = 0
	inst.components.edible.sanityvalue = 0
	if inst:HasTag("yellowpotion") then
            inst.components.edible.temperaturedelta = TUNING.COLD_FOOD_BONUS_TEMP
            inst.components.edible.temperatureduration = TUNING.FOOD_TEMP_LONG*10
        end
	inst.components.edible:SetOnEatenFn(oneaten)

	inst:AddComponent("tradable")

    return inst
end
return Prefab("common/inventory/yellowpotion", fn, assets)