local assets=
{
    Asset("ANIM", "anim/hungerpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/hungerpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/hungerpotion.tex"),
}

 PrefabFiles = {
    "hungerpotion",
}

local function oneaten(inst, eater)
	eater.components.talker:Say("I'm stuffed!", 4)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("hungerpotion")
	
    inst.AnimState:SetBank("hungerpotion")
    inst.AnimState:SetBuild("hungerpotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
    
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "hungerpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/hungerpotion.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.edible.hungervalue = TUNING.CALORIES_SUPERHUGE
	inst.components.edible:SetOnEatenFn(oneaten)
	
	inst:AddComponent("tradable")

    return inst
end
return Prefab("common/inventory/hungerpotion", fn, assets)