local assets=
{
    Asset("ANIM", "anim/orangepotion.zip"),
	--Asset("ANIM", "anim/swap_orangepotion.zip"),
    Asset("ATLAS", "images/inventoryimages/orangepotion.xml"),
    Asset("IMAGE", "images/inventoryimages/orangepotion.tex"),
}

 PrefabFiles = {
    "orangepotion",
}

local function oneaten(inst, eater)
	eater.components.talker:Say("I'm stuffed!", 4)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("orangepotion")
	
    inst.AnimState:SetBank("orangepotion")
    inst.AnimState:SetBuild("orangepotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
    
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "orangepotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/orangepotion.xml"
	
	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.edible.hungervalue = TUNING.CALORIES_SUPERHUGE
	inst.components.edible:SetOnEatenFn(oneaten)
	
	inst:AddComponent("tradable")
     
    return inst
end
return Prefab("common/inventory/orangepotion", fn, assets)