local assets=
{
    Asset("ANIM", "anim/redpotion.zip"),
	--Asset("ANIM", "anim/swap_redpotion.zip"),
    Asset("ATLAS", "images/inventoryimages/redpotion.xml"),
    Asset("IMAGE", "images/inventoryimages/redpotion.tex"),
}

 PrefabFiles = {
    "redpotion",
}

local function oneaten(inst, eater)
	eater.components.talker:Say("It could wake up some dead.", 4)
end

local function fn()
   
    local inst = CreateEntity()

 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("redpotion")
	
    inst.AnimState:SetBank("redpotion")
    inst.AnimState:SetBuild("redpotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "redpotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/redpotion.xml"

	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 60
	inst.components.edible.hungervalue = 0
	inst.components.edible.sanityvalue = 0
	inst.components.edible:SetOnEatenFn(oneaten)
	
	inst:AddComponent("tradable")
     
    return inst
end
return Prefab("common/inventory/redpotion", fn, assets)