local assets=
{
    Asset("ANIM", "anim/sanitypotion.zip"),
    Asset("ATLAS", "images/inventoryimages/sanitypotion.xml"),
    Asset("IMAGE", "images/inventoryimages/sanitypotion.tex"),
}

 PrefabFiles = {
    "sanitypotion",
}

local function oneaten(inst, owner)
	owner.components.talker:Say("Better than Advil!", 4)
end

local function fn()
   
    local inst = CreateEntity()
 
    inst.entity:AddTransform()
    inst.entity:AddAnimState()
    MakeInventoryPhysics(inst)
    
	inst:AddTag("sanitypotion")
	
    inst.AnimState:SetBank("sanitypotion")
    inst.AnimState:SetBuild("sanitypotion")
    inst.AnimState:PlayAnimation("idle")

    inst:AddComponent("inspectable")
	inst:AddComponent("stackable")
    inst.components.stackable.maxsize = TUNING.STACK_SIZE_SMALLITEM
      
    inst:AddComponent("inventoryitem")
    inst.components.inventoryitem.imagename = "sanitypotion"
    inst.components.inventoryitem.atlasname = "images/inventoryimages/sanitypotion.xml"

	inst:AddComponent("edible")
	inst.components.edible.healthvalue = 0
	inst.components.edible.hungervalue = 0
	inst.components.edible.sanityvalue = (TUNING.SANITY_MEDLARGE * 2)
	inst.components.edible:SetOnEatenFn(oneaten)
	
	inst:AddComponent("tradable")

    return inst
end
return Prefab("common/inventory/sanitypotion", fn, assets)